Skip to main content
GET
https://api-oms.verolabs.co
/
api
/
v1
/
oms
/
risk
/
accounts
/
{account_id}
Get account balance and holdings
curl --request GET \
  --url https://api-oms.verolabs.co/api/v1/oms/risk/accounts/{account_id} \
  --header 'Authorization: Bearer <token>'
{
  "account_id": "<string>",
  "cash_available": 123,
  "cash_hold": 123,
  "bypass_cash": true,
  "bypass_stock": true,
  "holdings": [
    {
      "symbol": "<string>",
      "sellable_qty": 123,
      "hold_qty": 123,
      "avg_price": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_id
string
required

Optional account identifier filter. When used as a path parameter, identifies one account.

Response

OK

AccountView schema.

account_id
string

Trading account identifier.

cash_available
number<double>

Available cash balance.

cash_hold
number<double>

Cash amount currently on hold.

bypass_cash
boolean

Indicates whether cash checks are bypassed.

bypass_stock
boolean

Indicates whether stock checks are bypassed.

holdings
object[]

List of stock holdings for the account.